Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Neo4j Community
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.neo4j.graphdb.event
Enum KernelEventHandler.ExecutionOrder

    java.lang.Object
      java.lang.Enum<KernelEventHandler.ExecutionOrder>
          org.neo4j.graphdb.event.KernelEventHandler.ExecutionOrder

All Implemented Interfaces:
  Serializable, Comparable<KernelEventHandler.ExecutionOrder>

Enclosing interface:
  KernelEventHandler

    public static enum KernelEventHandler.ExecutionOrder

extends Enum<KernelEventHandler.ExecutionOrder>

Represents the order of execution between two event handlers, if one handler should be executed `BEFORE`, `AFTER` another handler, or if it `DOESNT_MATTER`.

Author:
  mattias

Enum Constant Summary
`AFTER` Says that the event handler must be executed after the compared event handler.
`BEFORE` Says that the event handler must be executed before the compared event handler.
`DOESNT_MATTER` Says that it doesn't matter in which order the event handler is executed in comparison to another event handler.

Method Summary
`static KernelEventHandler.ExecutionOrder` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static KernelEventHandler.ExecutionOrder[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### BEFORE

    public static final KernelEventHandler.ExecutionOrder BEFORE

  Says that the event handler must be executed before the compared event handler.

### AFTER

    public static final KernelEventHandler.ExecutionOrder AFTER

  Says that the event handler must be executed after the compared event handler.

### DOESNT_MATTER

    public static final KernelEventHandler.ExecutionOrder DOESNT_MATTER

  Says that it doesn't matter in which order the event handler is executed in comparison to another event handler.

Method Detail

### values

    public static KernelEventHandler.ExecutionOrder[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (KernelEventHandler.ExecutionOrder c : KernelEventHandler.ExecutionOrder.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static KernelEventHandler.ExecutionOrder valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Neo4j Community
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2011 The Neo4j Graph Database Project. All Rights Reserved.